<%@ page import="java.io.*" %>
<%@ page import="java.util.Date" %>
<%@ page import="java.util.Locale" %>
<%@ page import="java.text.NumberFormat" %>

<html>
<%@ include file="heading.jsp" %>
<body>
<table width="100%" border="0">
  <tr>
    <td colspan="2" class="blubg">
      <%@ include file="banner.jsp" %>
    </td>
  </tr>
  <tr>
    <td width="10%" class="blubg" valign="top">
      <%@ include file="menu.jsp" %>
    </td>
    <td align="center" width="90%">
      <%
        try {
          String filePath=getServletContext().getRealPath("/MyShop/prodotti.txt");
          BufferedReader input = new BufferedReader(new FileReader(filePath));
      %>
          <div class="intestazione">&nbsp;</div>
          <div class="intestazione">Catalogo dei prodotti disponibili:</div>
          <div class="intestazione">&nbsp;</div>
          <table border="0" cellpadding="5">
      <%
            String linea=input.readLine();
            String[] intestazione=linea.split("#");
      %>
            <tr>
      <%
              for(int i=1; i<intestazione.length; i++) {
      %>
                <td class="intestazione_tabella"><%= intestazione[i]%></td>
      <%
              }
      %>
              <td class="intestazione_tabella">
                Q.t&agrave; da ordinare
              </td>
              <td class="intestazione_tabella">
                Inserisci nel carrello
              </td>
            </tr>
        <%
            int riga=0;
            
            while((linea = input.readLine()) != null) {
              riga++;
        %>
              <tr>
                <form method="post" action="inserisci.jsp">
                <%
                  NumberFormat fmt=NumberFormat.getInstance(Locale.ITALIAN);
                  fmt.setMinimumFractionDigits(2);
                  fmt.setMaximumFractionDigits(2);

                  // Separiamo i campi della linea corrente.
                  String[] celle = linea.split("#");

                  // indicePrezzo memorizza la posizione del prezzo
                  int indicePrezzo=3;

                  // L'indice i parte da 1 per evitare di visualizzare l'ID numerico del prodotto.
                  for(int i=1; i<celle.length; i++) {
                %>
                    <td class='<%= riga%2==0 ? "riga2_tabella" : "riga1_tabella"%>'>
                      <% if(i==indicePrezzo) 
                           out.print(fmt.format(Float.parseFloat(celle[i].replace(',','.'))));
                         else
                           out.print(celle[i]);
                      %>
                    </td>
                <%
                  }
                %>
                <td class='<%= riga%2==0 ? "riga2_tabella" : "riga1_tabella"%>'>
                  <input type="text" name="qt" value="1" size="2">
                </td>
                <td class='<%= riga%2==0 ? "riga2_tabella" : "riga1_tabella"%>'>
                  <input type="submit" name="ordina" value="&gt;&gt;">
                  <input type="hidden" name="pid" value="<%= celle[0]%>">
                </td>
                </form>
        <%
            }
 
            input.close();
          }
          catch(FileNotFoundException e) {
        %>
            <div class="errore">&nbsp;</div>
            <div class="errore">Siamo spiacenti, ma il catalogo dei prodotti non &egrave; al momento disponibile.<br><br>Riprovate pi&ugrave; tardi.</div>
            <div class="errore">&nbsp;</div>
        <%
          }
        %>
        </tr>
      </table>
    </td>
  </tr>
  <tr>
    <td colspan="2">
      <%@ include file="footer.jsp" %>
    </td>
  </tr>
</table>

</body>
</html>